'==============================================================================
' Copyright  Micromega Corporation 2002-2007. All rights reserved.
'
' @file		template.bas
' @target:	ARMmite/ARMexpress
'
' This program provides an example of using the uM-FPU V3 floating point
' coprocessor with the ARMmite/ARMexpress using an I2C interface. It shows
' the initial FPU reset sequence and prints the version number of the FPU chip.
'
' @author Cam Thompson, Micromega Corporation
' @version
'	August 2, 2007
'	- original version
'==============================================================================

'-------------------- uM-FPU V3 definitions -----------------------------------

#include "FPUi2c.bas"

'==============================================================================
'-------------------- main routine --------------------------------------------
'==============================================================================

Main:
	print
	print "I2C template"

	gosub Fpu_Reset						' reset the uM-FPU V3 chip
	if status <> SYNC_CHAR then			' check for synchronization
		print "uM-FPU not detected"
		end
	else
		gosub Print_Version				' display the uM-FPU version number
		print
	endif

'-------------------- main loop -----------------------------------------------

'	Insert main application code here.
'	FPU instructions are sent using an I2COUT instruction.
'	e.g.
'		I2COUT FpuPin, FpuID, [0, SELECTA, 1, LOADPI, FSET0]

Done:
	print
	print "Done."
	end
